/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "PerfectCAENCfd2Driver.h"
#include "CAENCfd2Def.h"

using namespace std;

namespace caen_cfd2 {

/*
 * Constructor
 */
PerfectCAENCfd2Driver::PerfectCAENCfd2Driver(CAENCfd2Driver* owner) : CAENCfd2State(owner) {
	/* Empty */
}

/*
 * Destructor
 */
PerfectCAENCfd2Driver::~PerfectCAENCfd2Driver() {
	/* Empty */
}

/*!
 * \brief Init command implementation
 */
void PerfectCAENCfd2Driver::init() {

}

/*!
 * \brief Clear command implementation
 */
void PerfectCAENCfd2Driver::clear() {

}

/*!
 * \brief Reset command implementation
 */
void PerfectCAENCfd2Driver::reset() {

}

/*!
 * \brief Write Param command implementation
 */
void PerfectCAENCfd2Driver::writeParam() {

}

/*!
 * \brief Set acquisition mode command implementation
 */
void PerfectCAENCfd2Driver::setAcqMode() {

}

/*!
 * \brief Read Infos command implementation
 */
void PerfectCAENCfd2Driver::readInfos() {

}

/*!
 * \brief Read Infos command implementation
 */
void PerfectCAENCfd2Driver::readStatus() {

}

/*!
 * \brief Set CFD mode parameters
 */
void PerfectCAENCfd2Driver::setCfdParam() {

}

/*!
 * \brief Set bit in register
 */
void PerfectCAENCfd2Driver::registerSetBits(uint16_t addr, int32 startBit, int32 endBit, int32 val) {

}

}
